SE(4)

NAME
se - Cabletron EA41x SCSI bus Ethernet interface driver

SYNOPSIS
se* at scsibus? target ? lun ?

DESCRIPTION
The se driver supports the Cabletron EA41x SCSI bus Ethernet interface.

This driver is a bit unusual. It must look like a network interface and it must also appear to be a SCSI device to the SCSI system.

In addition, to facilitate SCSI commands issued by userland programs, there are open(), close(), and ioctl() entry points. This allows a user program to, for example, display the EA41x statistic and download new code into the adaptor - functions which can't be performed through the ifconfig(8) interface. Normal operation does not require any special userland program.

SEE ALSO
scsi(4), ifconfig(8)

AUTHORS
-nosplit Ian Dall <ian.dall@dsto.defence.gov.au>

Acknowledgement: Thanks are due to Philip L. Budne <budd@cs.bu.edu> who reverse engineered the EA41x. In developing this code, Phil's userland daemon "etherd", was referred to extensively in lieu of accurate documentation for the device.

BUGS
The EA41x doesn't conform to the SCSI specification in much at all. About the only standard command supported is "inquiry". Most commands are 6 bytes long, but the recv data is only 1 byte. Data must be received by periodically polling the device with the recv command.